<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Options_HtmlTemplates.ascx.cs"
    Inherits="DNNMasters.UserDirectoryManager.GV.UserControls.Options_HtmlTemplates" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>
<div align="center">
    <asp:Panel ID="_pnlTemplatesList" runat="server">
        <table>
            <tr>
                <td class="SubHead">
                    <dnn:Label ID="lblExportHtml" ControlName="" Suffix=":" runat="server" />
                </td>
                <td class="SubHead">
                    <asp:RadioButtonList ID="_rblExportHtml" runat="server" CssClass="Normal" RepeatDirection="Horizontal">
                        <asp:ListItem Value="1">y</asp:ListItem>
                        <asp:ListItem Value="0">n</asp:ListItem>
                    </asp:RadioButtonList>
                </td>
            </tr>
            <tr>
                <td class="SubHead">
                    <dnn:Label ID="lblExportUserDataHtml" ControlName="" Suffix=":" runat="server" />
                </td>
                <td class="SubHead">
                    <asp:RadioButtonList ID="_rblExportUserDataHtml" runat="server" CssClass="Normal" RepeatDirection="Horizontal">
                        <asp:ListItem Value="1">y</asp:ListItem>
                        <asp:ListItem Value="0">n</asp:ListItem>
                    </asp:RadioButtonList>
                </td>
            </tr>
            <tr>
                <td class="SubHead">
                    <dnn:Label ID="lblFiledForSort" ControlName="" Suffix=":" runat="server" />
                </td>
                <td class="SubHead">
                    <asp:DropDownList ID="_ddProfileFields" runat="server" CssClass="normal" DataTextField="localization" DataValueField="name" />
                </td>
            </tr>
            <tr>
                <td class="SubHead">
                    <dnn:Label ID="lblSortDir" ControlName="" Suffix=":" runat="server" />
                </td>
                <td class="SubHead">
                    <asp:RadioButtonList ID="_rblSortDir" runat="server" CssClass="Normal" RepeatDirection="Horizontal">
                        <asp:ListItem Value="asc">asc</asp:ListItem>
                        <asp:ListItem Value="desc">desc</asp:ListItem>
                    </asp:RadioButtonList>
                </td>
            </tr>
        </table>
        <table cellpadding="2" cellspacing="2" border="0" align="center">
            <tr>
                <td class="SubHead">
                    <asp:ListBox ID="_lbxHtmlTemplates" runat="server" Width="200px" Height="150" CssClass="NormalTextBox">
                    </asp:ListBox>
                </td>
                <td class="SubHead">
                    <asp:ImageButton ID="_imbAddTemplate" runat="server" ImageUrl="~/images/add.gif" />
                    <br />
                    <asp:ImageButton ID="_imbEditTemplate" runat="server" ImageUrl="~/images/edit.gif" />
                    <br />
                    <asp:ImageButton ID="_imbDeleteTemplate" runat="server" ImageUrl="~/images/delete.gif" />
                </td>
            </tr>
            <tr>
                <td colspan="2" align="center">
                    <asp:LinkButton ID="_lnkUseSelectedTemplate" runat="server" CssClass="CommandButton" />
                </td>
            </tr>
        </table>
    </asp:Panel>
    <asp:Panel ID="_pnlTemplatesEditor" runat="server" Visible="false">
        <table>
            <tr>
                <td>
                    <dnn:Label ID="lblTemplateName" Suffix=":" runat="server" CssClass="Normal" />
                </td>
                <td>
                    <asp:TextBox ID="_txbTemplateName" runat="server" CssClass="Normal" Width="100" />
                    <asp:RequiredFieldValidator ID="valTitle" runat="server" ErrorMessage="Required"
                        Display="Dynamic" ControlToValidate="_txbTemplateName" CssClass="normal" ValidationGroup="TemplateName" />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <dnn:Label ID="lblTemplateContent" Suffix=":" runat="server" CssClass="Normal" />
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Panel ID="_pnlFields" runat="server">
                    </asp:Panel>
                </td>
                <td colspan="3">
                    <dnn:TextEditor ID="_txeTemplate" controlname="_txeTemplate" suffix=":" runat="server"
                        Width="432px" Height="400">
                    </dnn:TextEditor>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <asp:LinkButton ID="_lnkSaveTemplate" runat="server" CssClass="CommandButton" ValidationGroup="TemplateName" />
                    &nbsp;&nbsp;&nbsp;
                    <asp:LinkButton ID="_lnkCancelEdit" runat="server" CssClass="CommandButton" />
                </td>
            </tr>
        </table>
    </asp:Panel>
    <br />
    <br />
</div>
